xMLdotplot | R Documentation

## Function to visualise machine learning results using dot plot

### Description

`xMLdotplot` is supposed to visualise machine learning results using dot plot. It returns an object of class "ggplot".

### Usage

    xMLdotplot(sTarget, displayBy = c("importance2fold", "roc2fold",
    "fmax2fold", "importance_accurancy", "importance_gini", "ROC", "Fmax"),
    font.family = "sans", signature = TRUE)

### Arguments

`sTarget` | an object of class "sTarget"

`displayBy`

which statistics will be used for displaying. It can be either statistics across folds ("importance2fold" for predictor importance, "roc2fold" for AUC in ROC, "fmax2fold" for F-max in Precision-Recall curve) or overall statistics ("importance_accurancy" for predictor importance measured by accuracy decrease, "importance_gini" for predictor importance measured by Gini decrease, "ROC" for AUC in ROC, "Fmax" for F-max in Precision-Recall curve)

`font.family` | the font family for texts
`signature` | logical to indicate whether the signature is assigned to the plot caption. By default, it sets TRUE showing which function is used to draw this graph

### Value

an object of class "ggplot"

### Note

none

### See Also

`xMLrandomforest`

### Examples

    ## Not run:
    # Load the library
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    gp <- xMLdotplot(sTarget, displayBy="importance_accurancy")
    gp

    ## End(Not run)